Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
magic_comment Struct Reference

## Data Fields
const char * | name
rb_magic_comment_setter_t | func
rb_magic_comment_length_t | length

## Detailed Description

Definition at line 14620 of file ripper.c.

## Field Documentation

## ◆ func

rb_magic_comment_setter_t magic_comment::func

Definition at line 14622 of file ripper.c.

## ◆ length

rb_magic_comment_length_t magic_comment::length

Definition at line 14623 of file ripper.c.

## ◆ name

const char * magic_comment::name

Definition at line 14621 of file ripper.c.

The documentation for this struct was generated from the following files:

- ext/ripper/ripper.c
- parse.c